org.eclipse.emf.cdo.expressions

## Interface LinkedExpression

- All Superinterfaces:
    CDOObject, CDOWithID, EObject, Expression, Notifier
  All Known Implementing Classes:
    LinkedExpressionImpl

      public interface LinkedExpression
      extends Expression

  A representation of the model object 'Linked Expression'.

  The following features are supported:

  - `Expression`
  See Also:
    `ExpressionsPackage.getLinkedExpression()`
  Generated
  Model

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Expression` | `getExpression()` Returns the value of the 'Expression' reference.
    `void` | `setExpression(Expression value)` Sets the value of the '`Expression`' reference.

    - ### Methods inherited from interface org.eclipse.emf.cdo.expressions.Expression

      `evaluate`

    - ### Methods inherited from interface org.eclipse.emf.cdo.CDOObject

      `cdoConflict, cdoDirectResource, cdoHistory, cdoID, cdoInvalid, cdoLockState, cdoPermission, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoRevision, cdoState, cdoView, cdoWriteLock, cdoWriteOption`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getExpression

          Expression getExpression()

      Returns the value of the 'Expression' reference.

      If the meaning of the 'Expression' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression' reference.
      See Also:
        `setExpression(Expression)`, `ExpressionsPackage.getLinkedExpression_Expression()`
      Generated
      Model
        required="true"

    - #### setExpression

          void setExpression(Expression value)

      Sets the value of the '`Expression`' reference.
      Parameters:
        `value` - the new value of the 'Expression' reference.
      See Also:
        `getExpression()`
      Generated

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html